//Click character/post [picture/caption/div] - more info in sidebar
	//showing only relevant info, hiding everything else

$().ready(function(){
	
    $("#info div").each(function(){
        $(this).hide();
    })
    
    $(".tile img").click(function(){ //setting tile click functionality
		$("#clickformore").hide();
        var clickedimage = $(this);
	
		$("#info div").each(function(){
			if($(this).attr("id") == clickedimage.attr("id")+"-info"){
				$(this).show();
			}else{
				$(this).hide();
			}
		});
	
	});
    
    
    $("#characters .tile").draggable({ //makes all character divs draggable
        revert:true
    });
    
    $("#posts .tile").droppable({ //sets drop functionality- hides image, replaces post with character image
        drop: function(event, ui){
            ui.draggable.hide();
            $(this).find("img").attr("src", ui.draggable.find("img").attr("src"));
            //ui.draggable = div that was dragged in here
            //$(this) is the droppable
            $(this).droppable("destroy");
        }
    });
    
    $("#play-button").click(function(){
            var charactersinposts = [];
            $("#posts .tile").each(function(){
                charactersinposts.push($(this).find("img").attr("src"));
            })
			
			var flag = false;
			
			for(var i = 0; i < charactersinposts.length; i += 1){
				if(charactersinposts[i].indexOf("post") != -1){
					if(flag == false){
						alert("My Lord! Please assign a henchman to each guard post!");
						flag = true;
					}
				}
			}
			if((charactersinposts)=="r.jpg,g.jpg,s.jpg"){
			alert("It is a dark day for the Dark Citadel, my lord. The Hero has slain Rith, stormed the castle and defeated Glolt as well, since the other guards refused to work with him. Fortunately, Stanos managed to slay the Hero in your throne room. There has also been no word from Nevander concerning his pillaging campaign. The Dark Citadel will continue on under your guidance, but we have suffered keen losses today. I will leave you to grieve.");
			}
			else if((charactersinposts)=="r.jpg,s.jpg,g.jpg"){
			alert("I bring tragic tidings, your grace. The hero has slain your nephew. Stanos and the guards, enraged at your loss, avenged Riths death, however. Though it scarcely bears mentioning, Glolt also knocked over a priceless urn in your throne room, and there has been no word from Nevander about his pillaging. Despite our loss, the Dark Citadel remains strong and will continue under your guidance!");
			}
			else if((charactersinposts)=="r.jpg,n.jpg,s.jpg"){
			alert("Tragedy, treachery and damnation! The Hero killed Rith, and when he stormed the castle, Nevander betrayed us, killing a score of your guards and opening the Black Gate! Stanos scarcely managed to kill Nevander and the Hero to save your life, but he gave his own in the process.  Now, the guards are revolting, outraged at the loss of their beloved captain! Glolt sends word that his pillaging was a great success but that is a small comfort. The guards will not be placated. Your dark reign is at an end!");
			}
			else if((charactersinposts)=="r.jpg,n.jpg,g.jpg"){
			alert("My lord has been betrayed and slain! The self-proclaimed Hero easily killed Rith in the vanguard, and then Nevander betrayed the castle guard and opened the citadels gates to the Hero. The guardsman were weak and disorganized without Stanos to guide them. My lord should have never sent him to pillage. Glolt was entirely unprepared to fend off an attack from both the Hero and Nevander, and they killed my lord on his throne. The Dark Citadel has fallen!");
			}
			else if((charactersinposts)=="r.jpg,g.jpg,n.jpg"){
			alert("My lord has been assassinated! Nevander stabbed him to death in the throne room once they were alone together! Worse yet, the Hero killed the dark lords nephew Rith, leaving no successor to the throne. Glolt was killed in the chaos that followed, and Stanos will undoubtedly be imprisoned when he returns from his pillaging. The Dark Citadel has fallen!");
			}
			else if((charactersinposts)=="r.jpg,s.jpg,n.jpg"){
			alert("It is a miracle you have survived my lord, but it is a grim day for the Dark Citadel! Nevander was a traitor and he attempted to kill you as soon as you were alone. Fortunately, Stanos heard the commotion and killed the retch, but at the same time Im sorry my lord, the Hero killed Rith. Glolt has sent word that his pillaging has been bountiful, and he will bring wealth back to the Citadel. I shall leave you to your grief.");
			}
			else if((charactersinposts)=="g.jpg,r.jpg,s.jpg"){
			alert("My lord, the Hero has defeated Glolt in combat, but Rith managed to defeat the Hero in turn. Unfortunately, he let the success go to his head and challenged Stanos to a duel for leadership of the guard! Stanos beat him easily and managed to spare his life. All the same, the boys impertinence and lust for power are troubling. While we are fortunate to have suffered only one casualty as a result of the Heroes attack, Glolts death has lost the Dark Citadels status as an equal opportunity employer. Finally, we have heard no word from Nevander with regards to his pillaging campaign. He always struck me as unreliable. ");
			}
			else if((charactersinposts)=="g.jpg,s.jpg,r.jpg"){
			alert("The Hero has slain Glolt in combat, my lord. Fortunately, Stanos managed to defeat him before matters escalated. Rith waited restlessly in your throne room throughout the entire ordeal. There has been no word from Nevander about his pillaging assignment. Unfortunately, we have lost our status as an equal-opportunity employer since the Guild of Shadows suspects we singled out Glolt as the Citadels only half-ogre employee for the most dangerous position. We should seek out another ogre or half-ogre employee as soon as possible. ");
			}
			else if((charactersinposts)=="g.jpg,s.jpg,n.jpg"){
			alert("The Dark Citadel has fallen and the Hero is slain! Nevander turned on you as soon as you were alone in your throne room. While Stanos heard the commotion and managed to protect you from Nevander, he fell to the Hero, who already killed Glolt on the field of battle. Ultimately, you faced the Hero in single combat and managed to kill him with your dying breath. Perhaps Rith will carry on your dark legacy when he returns from his pillaging.");
			}
			else if((charactersinposts)=="g.jpg,n.jpg,r.jpg"){
			alert("My lord has managed to survive, but at what cost?! The Hero butchered Glolt on the field of battle. Worse still, Nevander betrayed us, killing most of the Citadels guard and opening the black gates to allow the Hero to enter. You and Rith fought against Nevander and the Hero together, and while you managed to defeat them, your nephew is dead. In addition to losing your nephew, The Citadel has lost its status as an equal opportunity employer, as Glolt was our only half-ogre henchman. Finally, Stanos sends word that his campaign has been mean and unproductive, though he never had a taste for pillaging. Perhaps things would have gone differently if he was present at the Citadel. There are hard days ahead of us.");
			}
			else if((charactersinposts)=="g.jpg,r.jpg,n.jpg"){
			alert("Twice betrayed, my dark lord has been imprisoned! Nevander attempted to murder you the very second he was alone in your throne room. Fortunately, Rith heard the commotion and came to your defense. Together, you managed to kill the wretched turncoat. But after the Hero killed Glolt and decimated your castle guard, Rith renounced you to save himself and helped the Hero imprison you in your own dungeon! What you would not give for loyalty. If only you had not sent Stanos away from the Citadel!");
			}
			else if((charactersinposts)=="g.jpg,n.jpg,s.jpg"){
			alert("Betrayal and tragedy have broken your Dark Citadel! As the Hero killed Glolt in the field, Nevander betrayed us, killing half the guard and opening our black gate to the Hero. Stanos managed to defeat the Hero and Nevander, but died in the process, and you sustained grievous injuries in the fight. Worse yet, the Citadel guard rioting at the loss of their beloved commander. In your weakened state, you cannot hope to maintain control of the Citadel for long. It would not surprise you if Rith attempted to usurp your throne when he returns from his pillaging.");
			}
			else if((charactersinposts)=="s.jpg,r.jpg,g.jpg"){
			alert("Rioting and betrayal have brought an end to your rule over the Dark Citadel! The damnable Hero killed Stanos in single combat sending the guards into revolt. In his weakened state the Hero was no match for Rith. But Rith saw an opportunity in the guards dissatisfaction and led a rebellion against you! Now your own nephew has thrown you into your own dungeon where your own guards mistreat you. You have taught the boy well. Too well.");
			}
			else if((charactersinposts)=="s.jpg,g.jpg,r.jpg"){
			alert("My lord sits on the precipice of revolution. The Hero killed Stanos in single combat, sending the guards into revolt over the loss of their beloved captain. Glolt easily managed to kill the weak Hero, but Rith has a lean and hungry look about him, and you suspect he may attempt to win favor with the guard and usurp your throne. There has been no word from Nevander since you sent him on his pillaging pilgrimage, but good riddance. There was something shady about him from the start.");
			}
			else if((charactersinposts)=="s.jpg,r.jpg,n.jpg"){
			alert("Chaos and treachery have consumed your Dark Citadel! Nevander attempted to assassinate you as soon as you were alone, and while Rith came to your rescue you were both grievously injured in the battle. Worse yet, the Hero slew Stanos in the field sending your guards into revolt. While half the guard swore fealty to the Hero out of fear, the others attempted to avenge their captain.  Ultimately, the Hero triumphed and killed both you and Rith, bringing an end to the Citadel.");
			}
			else if((charactersinposts)=="s.jpg,g.jpg,n.jpg"){
			alert("My lord has been murdered and The Dark Citadel has fallen! Nevander turned upon you the second you were alone and the Hero killed Stanos in the field. Stricken with grief and deprived of all leadership, the guards dissolved with infighting killing Glolt in the process.  Those who survived ultimately swore fealty to Nevander and the Hero who promised the people of the Dark Citadel freedom, democracy and other such nonsense. Rith will undoubtedly be imprisoned when he returns from his pillaging campaign. What a sad legacy you leave.");
			}
			else if((charactersinposts)=="s.jpg,n.jpg,g.jpg"){
			alert("The Hero has triumphed over you and the Dark Citadel! He killed Stanos in the vanguard, sending your guard into revolt. His victory was assured however, when Nevander betrayed you and opened the black gates to the Citadel. Together, Nevander and the Hero made short work of you and Glolt. Leaderless and stricken with grief, your guards surrendered and pledged fealty to the attackers. Rith will undoubtedly be imprisoned or murdered when he returns from his pillaging. The Dark Citadel is done for.");
			}
			else if((charactersinposts)=="s.jpg,n.jpg,r.jpg"){
			alert("Twice betrayed, my lord has been slain! The Hero killed Stanos in single combat. Without their captain, the guard fell to pieces. Worse yet, Nevander betrayed us and opened the black gate to our attacker! Together, the Hero and Nevander assaulted your throne room. If Rith had remained loyal, you may have stood a chance against them, but he surrendered immediately to save himself. With no one to oppose him, the Hero cut you down at the foot of your throne.");
			}
			else if((charactersinposts)=="n.jpg,r.jpg,g.jpg"){
			alert("My lord has chosen well, but we have still suffered a keen loss today. You were right to distrust Nevander; he intended to betray you, but our young Hero was too proud and suspicious to accept his help, so the two ended up fighting anyway! Unfortunately, after defeating Nevander, the Hero still had enough fight in him to kill Rith. The castle guard did not support him as well as they might have with Stanos to guide them. Fortunately, Glolt managed to defeat the upstart in your throne room, though his clumsiness and brute strength destroyed many of your furnishings. Stanos sends word that his campaign is going poorlyhe never had a heart for pillaging. The Dark Citadel remains strong my lord. I will leave you to your grief.");
			}
			else if((charactersinposts)=="n.jpg,g.jpg,r.jpg"){
			alert("My lord has chosen well, though the Heros attack has not left us unscathed. You were wise to assign Nevander to your vanguard. The half-elf was a miserable turncoat who intended to betray you. Fortunately, the Hero distrusted him as well and the two came to blows. The Hero triumphed, and he managed to fight through Glolt and the rest of the castle guard. He arrived at your throne room half-dead however, and you and Rith made short work of him. Stanos sends word that the pillaging has gone slowly. He never had a heart for it.  As Glolt was your only half-ogre employee, The Dark Citadel has lost its status as an equal opportunity employer with the Guild of Darkness we remain strong and vigilant against future threats.");
			}
			else if((charactersinposts)=="n.jpg,r.jpg,s.jpg"){
			alert("My lord has chosen most wisely! It was a stroke of genius to assign Nevander to your vanguard. The half-elf was a miserable turncoat who intended to betray you from the start. Fortunately, the Hero distrusted him as well and the two ended up fighting any way! When he attacked the castle guard, Rith and the castle guard managed to defeat him, thanks to Stanos presence and leadership. Even better, we have received word from Glolt that the pillaging has been a great success. With the traitor discovered and the Hero defeated, the Dark Citadel has never been stronger!");
			}
			else if((charactersinposts)=="n.jpg,s.jpg,r.jpg"){
			alert("My lord has selected his guard carefully! You saw through Nevanders faade and sent the traitor to fight in your vanguard. Even though he intended to assist the Hero, the Hero was proud and suspicious of Nevander and fought him anyway! Thoroughly weakened from his fight Nevander, Stanos killed the Hero with ease. Rith was frustrated that he did not get an opportunity to prove himself, but you gave him further lessons as he attended you in your throne room. Glolt sends word that his pillaging has been a great success. With the mole discovered, and the Hero out of the way, the Dark Citadel has never been stronger.");
			}
			else if((charactersinposts)=="n.jpg,g.jpg,s.jpg"){
			alert("My lord has selected his guard wisely, but the Hero managed to claim one of our own in his attack. Nevander was a turn-coat, and he intended to assist the Hero in his assault on the Citadel. Fortunately, he was too proud to accept help and suspected Nevander of deception, so the two ended up dueling anyway! Though the Hero was thoroughly weakened by the combat, he still managed to defeat Glolt. Since Glolt was our only half-ogre employee, the Guild of Shadows will undoubtedly be rescinding our equal-opportunity employer status. The Hero died of his wounds before reaching your throne room, and Rith sends word that his pillaging campaign has been fruitful. The Dark Citadel remains strong!");
			}
			else if((charactersinposts)=="n.jpg,s.jpg,g.jpg"){
			alert("My lord has chosen well! You saw that Nevander intended to betray you and placed him on the frontlines. He tried to ally himself with the Hero, but the proud fool refused his assistance and ended up fighting him anyway. When he made his way to the Citadel, Stanos and your guard defeated him with ease. You could have chosen a better bodyguard however. Glolt made a mess of your throne room, knocking over a priceless urn, and breaking one of your chairs under the weight of his armor. Rith sends word that his pillaging has been fruitful however, and he will bring more wealth to the Citadel on his return. ");
			}
			else if(flag == false){
			alert("I AM ERROR");
			}
    });
});

//Drag character to post
	//- character div disappears
	//- character image replaces post image (chess piece)
	
//Press play
	// If not all 3 ppl assigned, KILL
	// If all 3 ppl assigned --> play
